/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.Categoria;

/**
 * 
 * @author Administrador
 */
public interface CategoriaService extends GenericService<Categoria, Integer> {

	public List<Categoria> buscar(String desccategoria);
	
	public Categoria buscarUmaCategoria(String desccategoria);
	
	public List<Categoria> buscarCategoriaPesquisada(String desccategoria);
	
	public List<Categoria> buscarCategoriaOrgaoConcedente(String orgaoConcedente);

	/**
	 * Hance una búsqueda de todas las categorias que son visibles al usuario Ejemplo de categorias que no son vis
	 * 
	 * @return
	 */
	public List<Categoria> obtenerTodasCategoriasVisibles();
}
